Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FB2Parser Class Reference

`#include <FB2Parser.h>`

## Public Member Functions
| FB2Parser (librevenge::RVNGInputStream *input)
bool | parse (FB2XMLParserContext *context) const
bool | parse (librevenge::RVNGTextInterface *document) const

## Private Member Functions
| FB2Parser (const FB2Parser &other)
FB2Parser & | operator= (const FB2Parser &other)

## Private Attributes
librevenge::RVNGInputStream *const | m_input

## Constructor & Destructor Documentation

## § FB2Parser() [1/2]

libebook::FB2Parser::FB2Parser | ( | const FB2Parser & | other | ) |
| private

## § FB2Parser() [2/2]

libebook::FB2Parser::FB2Parser | ( | librevenge::RVNGInputStream * | input | ) |
| explicit

## Member Function Documentation

## § operator=()

FB2Parser& libebook::FB2Parser::operator= | ( | const FB2Parser & | other | ) |
| private

## § parse() [1/2]

bool libebook::FB2Parser::parse | ( | FB2XMLParserContext * | context | ) | const

Referenced by parse().

## § parse() [2/2]

bool libebook::FB2Parser::parse | ( | librevenge::RVNGTextInterface * | document | ) | const

## Member Data Documentation

## § m_input

librevenge::RVNGInputStream* const libebook::FB2Parser::m_input
| private

Referenced by FB2Parser(), and parse().

The documentation for this class was generated from the following files:

- FB2Parser.h
- FB2Parser.cpp